Web lists-archives.com

Re: Request to support wxt terminal ( Re: [ANNOUNCEMENT] Updated: gnuplot-5.2.6-1)




Achim

Thanks for the reply.
> Again, if you want that to get fixed, you'll either need to get upstream 
> QT, the Qt maintainer of Cygwin or (if you happen to have a fix for 
> Cygwin) the Cygwin maintainers.  I'll happily build with the Qt terminal 
> if it actually works.

The qt terminal for Cygwin works fine on Cygwin, if a patch is attached to
QT5.
An exapmle snapshot of qt terminal is shown :
<http://cygwin.1069669.n5.nabble.com/file/t3087/transparent_solids_2_qt.png> 

I will ask Yaakov Selkowitz (qt for cygwin maintainer to apply the patch)
As a reference, the patch is shown below

--- a/qtbase-opensource-src-5.9.4/src/network/socket/qlocalsocket_unix.cpp
+++ b/qtbase-opensource-src-5.9.4/src/network/socket/qlocalsocket_unix.cpp
@@ -239,7 +239,7 @@ void QLocalSocket::connectToServer(OpenM
    }

    // create the socket
-    if (-1 == (d->connectingSocket = qt_safe_socket(PF_UNIX, SOCK_STREAM,
0, O_NONBLOCK))) {
+    if (-1 == (d->connectingSocket = qt_safe_socket(PF_UNIX, SOCK_STREAM,
0))) {
        d->errorOccurred(UnsupportedSocketOperationError,
                        QLatin1String("QLocalSocket::connectToServer"));
        return;

>> I ask you to implement wxt terminal gnuplot for Cygwin 
>> 
>> Patch indicated below is attached to gnuplot source to avoid ABI 
>> mismatch waring between gnuplot and wxWidgets. 
>
> That's a wxWidget upstream bug, really.  I'm not keen on patching around 
> that in gnuplot, so my preference is if it was fixed by wxWidgets one 
> way or the other (and by fixed I don't mean that the fatal error gets 
> demoted to a warning like some build option for wxWidgets apparently 
> allows you to do).

Yes. It's a bug wxWidget.  I could not find wxWidget maintainer in Cygwin
ML.
How I do know the maintainer?

Anyway I will paste wxt terminal and x11 terminal snapshots.
<http://cygwin.1069669.n5.nabble.com/file/t3087/transparent_solids_2_wxt.png> 
<http://cygwin.1069669.n5.nabble.com/file/t3087/transparent_solids_2_x11.png> 


> Now, I'd be much more excited about that wxWidgets terminal if it 
> allowed gnuplot to optionally run without X11, do you know if that's 
> possible? 

Do you mean build Cygwin's WxWidget without x11 libraries?
On macOS, WxWidget is built without X and uses macOS original graphics.
In principle one can build Wxwidget for Cygwin using windows native api 
like emacs-win32on Cygwin. 
I do not know that this is possible on wxwidget on Cygwin.
I will investigate.

Tatsuro




--
Sent from: http://cygwin.1069669.n5.nabble.com/Cygwin-list-f3.html

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple